Get application
curl --request GET \
--url https://api.bunny.net/mc/apps/{appId} \
--header 'AccessKey: <api-key>'{
"id": "<string>",
"name": "<string>",
"regionSettings": {
"allowedRegionIds": [
"DE",
"UK",
"US"
],
"requiredRegionIds": [
"DE"
],
"maxAllowedRegions": 5
},
"containerTemplates": [
{
"id": "<string>",
"name": "<string>",
"packageId": "<string>",
"image": "<string>",
"imageName": "<string>",
"imageNamespace": "<string>",
"imageTag": "<string>",
"imageRegistryId": "<string>",
"imageDigest": "<string>",
"entryPoint": {
"command": "<string>",
"commandArray": [
"<string>"
],
"arguments": "<string>",
"argumentsArray": [
"<string>"
],
"workingDirectory": "<string>"
},
"probes": {
"startup": {
"initialDelaySeconds": 10,
"periodSeconds": 10,
"timeoutSeconds": 7,
"failureThreshold": 3,
"successThreshold": 1,
"httpGet": {
"request": {
"path": "<string>",
"portNumber": 32768
},
"response": {}
},
"tcpSocket": {
"request": {
"portNumber": 32768
}
},
"grpc": {
"request": {
"portNumber": 32768,
"serviceName": "<string>"
}
}
},
"readiness": {
"initialDelaySeconds": 10,
"periodSeconds": 10,
"timeoutSeconds": 7,
"failureThreshold": 3,
"successThreshold": 1,
"httpGet": {
"request": {
"path": "<string>",
"portNumber": 32768
},
"response": {}
},
"tcpSocket": {
"request": {
"portNumber": 32768
}
},
"grpc": {
"request": {
"portNumber": 32768,
"serviceName": "<string>"
}
}
},
"liveness": {
"initialDelaySeconds": 10,
"periodSeconds": 10,
"timeoutSeconds": 7,
"failureThreshold": 3,
"successThreshold": 1,
"httpGet": {
"request": {
"path": "<string>",
"portNumber": 32768
},
"response": {}
},
"tcpSocket": {
"request": {
"portNumber": 32768
}
},
"grpc": {
"request": {
"portNumber": 32768,
"serviceName": "<string>"
}
}
}
},
"environmentVariables": [
{
"name": "<string>",
"value": "<string>"
}
],
"endpoints": [
{
"displayName": "<string>",
"publicHost": "<string>",
"isSslEnabled": true,
"pullZoneId": "<string>",
"portMappings": [
{
"containerPort": 123,
"exposedPort": 123,
"protocols": []
}
],
"stickySessions": {
"enabled": true,
"sessionHeaders": [
"<string>"
],
"cookieName": "<string>"
},
"internalIpAddresses": [
{
"address": "<string>",
"region": "<string>"
}
],
"publicIpAddresses": [
{
"address": "<string>",
"region": "<string>"
}
]
}
],
"volumeMounts": [
{
"name": "<string>",
"mountPath": "<string>"
}
]
}
],
"containerInstances": [
{
"id": "<string>",
"templateId": "<string>",
"podId": "<string>",
"nodeIpAddress": "<string>"
}
],
"volumes": [
{
"name": "<string>",
"size": 5
}
],
"displayEndpoint": {
"id": "<string>",
"address": "<string>"
},
"autoScaling": {
"min": 1,
"max": 10
},
"networkSettings": {
"ingressBandwidthLimit": 123,
"egressBandwidthLimit": 123
},
"repositorySettings": {
"templateRepository": "<string>",
"repositoryName": "<string>",
"owner": "<string>"
}
}Applications
Get application
GET
/
apps
/
{appId}
Get application
curl --request GET \
--url https://api.bunny.net/mc/apps/{appId} \
--header 'AccessKey: <api-key>'{
"id": "<string>",
"name": "<string>",
"regionSettings": {
"allowedRegionIds": [
"DE",
"UK",
"US"
],
"requiredRegionIds": [
"DE"
],
"maxAllowedRegions": 5
},
"containerTemplates": [
{
"id": "<string>",
"name": "<string>",
"packageId": "<string>",
"image": "<string>",
"imageName": "<string>",
"imageNamespace": "<string>",
"imageTag": "<string>",
"imageRegistryId": "<string>",
"imageDigest": "<string>",
"entryPoint": {
"command": "<string>",
"commandArray": [
"<string>"
],
"arguments": "<string>",
"argumentsArray": [
"<string>"
],
"workingDirectory": "<string>"
},
"probes": {
"startup": {
"initialDelaySeconds": 10,
"periodSeconds": 10,
"timeoutSeconds": 7,
"failureThreshold": 3,
"successThreshold": 1,
"httpGet": {
"request": {
"path": "<string>",
"portNumber": 32768
},
"response": {}
},
"tcpSocket": {
"request": {
"portNumber": 32768
}
},
"grpc": {
"request": {
"portNumber": 32768,
"serviceName": "<string>"
}
}
},
"readiness": {
"initialDelaySeconds": 10,
"periodSeconds": 10,
"timeoutSeconds": 7,
"failureThreshold": 3,
"successThreshold": 1,
"httpGet": {
"request": {
"path": "<string>",
"portNumber": 32768
},
"response": {}
},
"tcpSocket": {
"request": {
"portNumber": 32768
}
},
"grpc": {
"request": {
"portNumber": 32768,
"serviceName": "<string>"
}
}
},
"liveness": {
"initialDelaySeconds": 10,
"periodSeconds": 10,
"timeoutSeconds": 7,
"failureThreshold": 3,
"successThreshold": 1,
"httpGet": {
"request": {
"path": "<string>",
"portNumber": 32768
},
"response": {}
},
"tcpSocket": {
"request": {
"portNumber": 32768
}
},
"grpc": {
"request": {
"portNumber": 32768,
"serviceName": "<string>"
}
}
}
},
"environmentVariables": [
{
"name": "<string>",
"value": "<string>"
}
],
"endpoints": [
{
"displayName": "<string>",
"publicHost": "<string>",
"isSslEnabled": true,
"pullZoneId": "<string>",
"portMappings": [
{
"containerPort": 123,
"exposedPort": 123,
"protocols": []
}
],
"stickySessions": {
"enabled": true,
"sessionHeaders": [
"<string>"
],
"cookieName": "<string>"
},
"internalIpAddresses": [
{
"address": "<string>",
"region": "<string>"
}
],
"publicIpAddresses": [
{
"address": "<string>",
"region": "<string>"
}
]
}
],
"volumeMounts": [
{
"name": "<string>",
"mountPath": "<string>"
}
]
}
],
"containerInstances": [
{
"id": "<string>",
"templateId": "<string>",
"podId": "<string>",
"nodeIpAddress": "<string>"
}
],
"volumes": [
{
"name": "<string>",
"size": 5
}
],
"displayEndpoint": {
"id": "<string>",
"address": "<string>"
},
"autoScaling": {
"min": 1,
"max": 10
},
"networkSettings": {
"ingressBandwidthLimit": 123,
"egressBandwidthLimit": 123
},
"repositorySettings": {
"templateRepository": "<string>",
"repositoryName": "<string>",
"owner": "<string>"
}
}Authorizations
Please enter a valid personal API key.
Path Parameters
Response
Application retrieved successfully.
Application model
Minimum string length:
1Minimum string length:
1Available options:
unknown, active, progressing, inactive, failing, suspended Available options:
shared, reserved Region settings model
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Display endpoint model
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I